package com.plannaplan.controllers;

import java.util.Map;
import java.util.Optional;

import com.plannaplan.App;
import com.plannaplan.entities.Assignment;
import com.plannaplan.entities.Groups;
import com.plannaplan.entities.User;
import com.plannaplan.repositories.ExchangeRepository;

import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

@RestController
@CrossOrigin
@RequestMapping("/api/" + App.API_VERSION + "/exchanges")
@Api(tags = { "Exchange" }, value = "Exchange", description = "Endpoint to exchange with accepted assignments.")
public class ExchangeController {
    
    @PostMapping("/exchange")
    @ApiOperation(value = "Return all courses")
    public ResponseEntity<String> createExchange(@RequestBody Map<String, Long> exchangeRequest){
        Long user = exchangeRequest.get("user");
        Long assignment = exchangeRequest.get("assignment");
        Long group = exchangeRequest.get("group");

        if(user == null || assignment == null|| group == null ){
            return new ResponseEntity<>("Some of provided value missing", HttpStatus.BAD_REQUEST);
        }

        //System.out.println("KUPA");

        return null;
    }
}
